[X2Go-Commits] [x2goserver] 03/03: x2goserver/bin/x2goruncommand: stop exporting LD_LIBRARY_PATH when using Arctica's nx-libs and its new Xinerama feature. Fixes: #1153.

git-admin at x2go.org git-admin at x2go.org
Thu Mar 9 06:58:25 CET 2017


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch release/4.0.1.x
in repository x2goserver.

commit c25e5150a8a14c7a0ec5f7939009d0e81a7b83b9
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Thu Mar 9 06:57:47 2017 +0100

    x2goserver/bin/x2goruncommand: stop exporting LD_LIBRARY_PATH when using Arctica's nx-libs and its new Xinerama feature. Fixes: #1153.
---
 debian/changelog              |  5 +++++
 x2goserver/bin/x2goruncommand | 16 +++++++++-------
 2 files changed, 14 insertions(+), 7 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 01066e9..7223028 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -80,6 +80,11 @@ x2goserver (4.0.1.21-0x2go1) UNRELEASED; urgency=medium
     - Delete .packlist which may be in different locations.
     - Sort some %files entries.
 
+  [ Mike Gabriel ]
+  * New upstream version (4.0.1.21):
+    - x2goserver/bin/x2goruncommand: stop exporting LD_LIBRARY_PATH when using
+      Arctica's nx-libs and its new Xinerama feature. Fixes: #1153.
+
  -- X2Go Release Manager <git-admin at x2go.org>  Sun, 20 Nov 2016 12:54:13 +0100
 
 x2goserver (4.0.1.20-0x2go1) unstable; urgency=low
diff --git a/x2goserver/bin/x2goruncommand b/x2goserver/bin/x2goruncommand
index 8c3ee62..34c8479 100755
--- a/x2goserver/bin/x2goruncommand
+++ b/x2goserver/bin/x2goruncommand
@@ -69,13 +69,15 @@ fi
 export SSH_AUTH_SOCK="$X2GOSSH_AUTH_SOCK"
 
 
-NX_XINERAMA_LIBS="$(x2gopath xinerama)"
-NX_LIBS="$(x2gopath nx-x11)"
-test -n "$LD_LIBRARY_PATH" && \
-	LD_LIBRARY_PATH="$NX_XINERAMA_LIBS:$NX_LIBS:$LD_LIBRARY_PATH" || \
-	LD_LIBRARY_PATH="$NX_XINERAMA_LIBS:$NX_LIBS"
-"$X2GO_LIB_PATH/x2gosyslog" "$0" "debug" "exporting LD_LIBRARY_PATH=$LD_LIBRARY_PATH"
-export LD_LIBRARY_PATH
+if ! x2gofeature X2GOAGENT_RANDRXINERAMA 1>/dev/null; then
+	NX_XINERAMA_LIBS="$(x2gopath xinerama)"
+	NX_LIBS="$(x2gopath nx-x11)"
+	test -n "$LD_LIBRARY_PATH" && \
+		LD_LIBRARY_PATH="$NX_XINERAMA_LIBS:$NX_LIBS:$LD_LIBRARY_PATH" || \
+		LD_LIBRARY_PATH="$NX_XINERAMA_LIBS:$NX_LIBS"
+	"$X2GO_LIB_PATH/x2gosyslog" "$0" "debug" "exporting LD_LIBRARY_PATH=$LD_LIBRARY_PATH"
+	export LD_LIBRARY_PATH
+fi
 
 if [ "$sndsys" == "esd" ]; then
 	export ESPEAKER="localhost:$4"

--
Alioth's /srv/git/code.x2go.org/x2goserver.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/x2goserver.git


More information about the x2go-commits mailing list